
sounds={}
soundIDs=0

function Distance( x, y, a, b )
return math.sqrt((x-a)^2+(y-b)^2)
end

function newSound( sound )
sounds[tostring(soundIDs)]=love.audio.newSource("sounds/"..sound, "static" )
soundIDs=soundIDs+1
end

function soundUPD()
for k, pot in pairs(sounds) do
love.audio.play(sounds[k])
sounds[k]=nil
end
end

function love.load()
require("bullet")
require("TheUgly")
zombieTimer=0
I=0
gravity=200
player={}
player.onGround=false
player.x=400
player.y=400
player.yVel=0
player.speed=250
player.hp=100
player.living=true
love.graphics.setBackgroundColor( 0, 200, 255 ) 
love.graphics.setFont(love.graphics.newFont(30))
end

function love.update(dt)
if love.timer.getTime()-zombieTimer>=2.5 then
for I=I,math.random(0,love.timer.getTime()/20) do
if math.random(1,2)==1 then
NewZombi( 0-200*I, 400, 100, 1+math.random() )
else
NewZombi( 800+200*I, 400, 100, 1+math.random() )
end
zombieTimer=love.timer.getTime()
end
end

if player.living==true then

if player.hp<=0 then
player.living=false
newSound("death.wav")
end

if love.keyboard.isDown("a") then
if player.x-25-player.speed*dt>=0 then
player.x=player.x-player.speed*dt
end
end

if love.keyboard.isDown("d") then
if player.x+25+player.speed*dt<=800 then
player.x=player.x+player.speed*dt
end
end

if love.keyboard.isDown("w") then
if player.onGround==true then
newSound("jump.wav")
player.yVel=player.yVel-150
player.onGround=false
end
end

if player.y+player.yVel*dt>=400 then
player.yVel=0
player.onGround=true
else
player.onGround=false
end

player.y=player.y+player.yVel*dt
player.yVel=player.yVel+gravity*dt
end

BulletUpdate(dt)
ZombieUpdate(dt)
soundUPD()
end

function love.mousepressed( x, y, button)
if button=="l" and player.living==true then
newSound("shoot.wav")
FireBullet(x)
end
end

function love.draw()
love.graphics.setColor( 255, 255, 255 )
if player.living==true then
love.graphics.rectangle("fill", player.x-25, player.y-100, 50, 100)
end
love.graphics.setColor( 0, 255, 0 )
love.graphics.rectangle("fill", 0, 400, 800, 200 )

love.graphics.setColor( 80, 80, 80 )
love.graphics.rectangle("fill", 40, 20, 320, 70 )
if player.living==true then
love.graphics.setColor( 255, 0, 0 )
love.graphics.rectangle("fill", 50, 30, player.hp*3, 50 )
love.graphics.setColor(255, 255, 255)
love.graphics.print(player.hp .."/100", 140, 35, 0)
end

DrawBullet()
ZombieDraw()

if player.living==false then
love.graphics.setColor( 255, 0, 0 )
love.graphics.print("You've died, idiot.", 50, 300, 0, 2, 2)
love.graphics.print("0/100", 140, 35, 0)
end
end
